%global gem_name joiner

Name: rubygem-%{gem_name}
Version: 0.6.0
Release: 1%{?dist}.1
Summary: Builds ActiveRecord joins from association paths
Group: Development/Languages
License: MIT
URL: https://github.com/pat/joiner
Source0: https://github.com/pat/%{gem_name}/archive/v%{version}/%{gem_name}-%{version}.tar.gz
Patch0: rubygem-joiner-rails-version.patch
%if 0%{?fc19} || 0%{?fc20} || 0%{?el7}
Requires: ruby(release)
Requires: ruby(rubygems)
Requires: rubygem(activerecord) >= 6.0.0
%endif
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: rubygem(rails) >= 6.0.0
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(rspec-rails) >= 4
BuildRequires: (rubygem(sqlite3) >= 1.4 with rubygem(sqlite3) < 2)
# combustion is yet in Fedora. Review request at
# https://bugzilla.redhat.com/1117022
#BuildRequires: (rubygem(combustion) >= 1.1 with rubygem(combustion) < 2)
BuildArch: noarch
%if 0%{?fc19} || 0%{?fc20} || 0%{?el7}
Provides: rubygem(%{gem_name}) = %{version}
%endif

%description
Builds ActiveRecord outer joins from association paths and provides references
to table aliases.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}
%patch0 -p1

# Remove dependency on bundler.
sed -i "/bundle/Id" spec/spec_helper.rb

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
  # rubygem-combustion is not yet in Fedora, so the test suite fails.
  # combustion review request at https://bugzilla.redhat.com/1117022
  rspec -Ilib spec || :
popd


%files
%{!?_licensedir:%global license %%doc}
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%doc %{gem_instdir}/README.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/spec
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile

%changelog
* Mon Jun 28 2021 Oleg Girko <ol@infoserver.lv> - 0.6.0-1
- Update to joiner 0.6.0
- Add patch to relax Rails dependency to allow 6.0
* Sun May  2 2021 Oleg Girko <ol@infoserver.lv> - 0.5.0-1
- Update to joiner 0.5.0
* Sat Nov  2 2019 Oleg Girko <ol@infoserver.lv> - 0.4.2-2
- Don't require sqlite3 (version is too new in Fedora 31)
* Tue Nov 20 2018 Oleg Girko <ol@infoserver.lv> - 0.4.2-1
- Update to joiner 0.4.2
* Thu Nov 20 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.3.4-1
- Update to joiner 0.3.4 (RHBZ #1166413)
- BR rails > 4.1.2 to match gemspec's version
- Drop upstreamed patch for loading ActiveRecord outside bundler
- Drop redundant "-p" argument to cp
- Update -doc subpackage description to match convention in Fedora
* Fri Oct 10 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.3.3-1
- Update to joiner 0.3.3 (RHBZ #1117025)
- Use %%%%license macro (RHBZ #1117025)
* Wed May  7 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.3.0-1
- Initial package
